package ttakada;

import com.idiominc.wssdk.WSContext;
import com.idiominc.wssdk.ais.WSNode;
import com.idiominc.wssdk.component.filter.WSFilter;
import com.idiominc.wssdk.component.filter.WSFilterUIConfiguration;
import com.idiominc.wssdk.component.filter.WSSegmentWriter;

public class MyFilter extends WSFilter {
    @Override
    public String getName() {
        return "My Filter";
    }

    @Override
    public String getDescription() {
        return "My Test Filter";
    }

    @Override
    public String getVersion() {
        return "0.0.0.2";
    }

    @Override
    public Object getDefaultConfigData() {
        return new MyFilterConfig();
    }

    @Override
    public WSFilterUIConfiguration getUIConfiguration(){
        return new MyFilterConfigUI();
    }

    @Override
    public void parse(WSContext context, WSNode node, WSSegmentWriter writer) {
        MyFilterConfig config = (MyFilterConfig) super.getConfiguration();
        String         text   = config.getSampleText();

        writer.writeTextSegment(text + " 1");
        writer.writeTextSegment(text + " 2");
        writer.writeTextSegment(text + " 3");
        writer.writeTextSegment(text + " 4");
    }
}
