package ttakada;

import com.idiominc.wssdk.WSContext;
import com.idiominc.wssdk.component.WSComponentConfigurationData;
import com.idiominc.wssdk.component.filter.WSFilterUIConfiguration;

public class MyFilterConfigUI extends WSFilterUIConfiguration {
    @Override
    public String render(WSContext context, javax.servlet.http.HttpServletRequest request, WSComponentConfigurationData config) {
        String text = ((MyFilterConfig) config).getSampleText();

        return "<input name='mfText' type='text' value='"+text+"' />";
    }

    @Override
    public WSComponentConfigurationData	save(WSContext context, javax.servlet.http.HttpServletRequest request, WSComponentConfigurationData config){
        String newText = request.getParameter("mfText");

        MyFilterConfig newConfig = (MyFilterConfig) config;
        newConfig.setSampleText(newText);

        return newConfig;
    }

    @Override
    public String getRedirectURI() {
        return null;
    }
}
